Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228860 - init script does not support condrestart
Summary: init script does not support condrestart
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ian Kent
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-15 16:21 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 5.0.1-0.rc3.23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-22 18:29:59 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2007-02-15 16:21:54 UTC
Description of problem:

postuninstall scriptlet (using /bin/sh):
if [ $1 -ge 1 ] ; then
        /sbin/service autofs condrestart > /dev/null 2>&1 || :
fi

#  /sbin/service autofs condrestart
Usage: /etc/init.d/autofs {start|stop|status|restart|reload}

Version-Release number of selected component (if applicable):
autofs-5.0.1-0.rc3.16

Comment 1 Ian Kent 2007-02-16 02:10:58 UTC
(In reply to comment #0)
> Description of problem:
> 
> postuninstall scriptlet (using /bin/sh):
> if [ $1 -ge 1 ] ; then
>         /sbin/service autofs condrestart > /dev/null 2>&1 || :
> fi
> 
> #  /sbin/service autofs condrestart
> Usage: /etc/init.d/autofs {start|stop|status|restart|reload}
> 
> Version-Release number of selected component (if applicable):
> autofs-5.0.1-0.rc3.16

Oops. Will fix.

Ian


Comment 2 Orion Poplawski 2007-02-22 18:29:59 UTC
Confirmed fixed in 5.0.1-0.rc3.23


Comment 3 Stephen Martin 2007-03-04 13:49:00 UTC
autofs-5.0.1-0.rc3.23 seems to hang my automount connections. I went back to
autofs-5.0.1-0.rc3.21 and everything is fine. I can't see any other symptoms
such as log messages.


Note You need to log in before you can comment on or make changes to this bug.